Subject: Re: [PATCH v18 01/14] bitops: Introduce the for_each_set_clump8 macro

From: Andy Shevchenko <[email-masked]>
Date: Thu, 10 Oct 2019 16:18:42 +0300

On Wed, Oct 09, 2019 at 02:18:55PM -0700, Andrew Morton wrote:
> On Wed,  9 Oct 2019 13:14:37 -0400 William Breathitt Gray <[email-masked]> wrote:
> 
> > This macro iterates for each 8-bit group of bits (clump) with set bits,
> > within a bitmap memory region. For each iteration, "start" is set to the
> > bit offset of the found clump, while the respective clump value is
> > stored to the location pointed by "clump". Additionally, the
> > bitmap_get_value8 and bitmap_set_value8 functions are introduced to
> > respectively get and set an 8-bit value in a bitmap memory region.
> > 
> > ...
> >  
> > +#define for_each_set_clump8(start, clump, bits, size) \
> > +	for ((start) = find_first_clump8(&(clump), (bits), (size)); \
> > +	     (start) < (size); \
> > +	     (start) = find_next_clump8(&(clump), (bits), (size), (start) + 8))
> > +
> 
> It wouldn't hurt to give this some documentation.  In kerneldoc form, I
> guess.

Good idea!

William, I have just tested your series with a complex hardware setup,
everything works to me.

I think I may give

Tested-by: Andy Shevchenko <[email-masked]>

for this patch as well.

-- 
With Best Regards,
Andy Shevchenko

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel